<ui:composition
        xmlns:g="http://www.ihe.net/gazelle"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:a4j="http://richfaces.org/a4j"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:s="http://jboss.org/schema/seam/taglib"
        xmlns:rich="http://richfaces.org/rich"
        xmlns="http://www.w3.org/1999/xhtml">
    <div class="row">
        <div class="col-md-6">
            <div class="row">
                <div class="col-md-12">
                    <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                        <ui:param name="styleClass" value="panel-info"/>
                        <ui:define name="panel_title">
                            <h:outputText
                                    value="#{messages['net.ihe.gazelle.assertion-manager.Assertion']}"/>
                        </ui:define>

                        <dl class="dl-horizontal">
                            <ui:decorate template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['net.ihe.gazelle.assertion-manager.AssertionId_2']}
                                </ui:define>
                                <h:outputText
                                        value="#{currentAssertion.assertionId}"/>

                                <span class="assertion-show-label">
                                    <ui:include src="/assertions/_testable_label.xhtml">
                                        <ui:param name="assertion" value="#{currentAssertion}"/>
                                    </ui:include>
                                </span>
                            </ui:decorate>
                            <ui:decorate template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['net.ihe.gazelle.assertion-manager.Predicate_2']}
                                </ui:define>
                                <h:panelGroup rendered="#{identity.loggedIn and s:hasRole('admin_role')}">
                                    <rich:inplaceInput value="#{currentAssertion.predicate.content}"
                                                       showControls="true" inputWidth="90%">
                                        <a4j:ajax event="change" render="assertionFrom"
                                                  listener="#{assertionManager.persistAssertionPredicate(currentAssertion)}"/>
                                    </rich:inplaceInput>
                                </h:panelGroup>

                                <h:outputText rendered="#{!s:hasRole('admin_role')}"
                                              value="#{currentAssertion.predicate.content}"/>
                            </ui:decorate>


                            <ui:decorate template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">
                                    #{messages['net.ihe.gazelle.assertion-manager.PrescriptionLevel']}
                                </ui:define>
                                <s:span rendered="#{identity.loggedIn and s:hasRole('admin_role')}">
                                    <h:selectOneMenu styleClass="gzl-inline-form-control"
                                                     style="width: auto;"
                                                     value="#{currentAssertion.prescription.level}"
                                                     requiredMessage="Please select" required="true">
                                        <f:selectItem itemValue="#{null}"
                                                      itemLabel="#{messages['gazelle.common.button.ShowAll']}"/>
                                        <f:selectItems
                                                value="#{assertionManager.getPrescriptionLevels()}"/>
                                        <a4j:ajax event="change" render="assertionFrom"
                                                  listener="#{assertionManager.persistAssertionPrescription(currentAssertion)}"/>
                                    </h:selectOneMenu>
                                </s:span>
                                <h:outputText rendered="#{!s:hasRole('admin_role')}"
                                              value="#{currentAssertion.prescription.level.getFriendlyName()}"/>
                            </ui:decorate>

                            <a4j:repeat
                                    value="#{currentAssertion.tags}"
                                    var="tag">
                                <ui:decorate template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{tag.name}
                                    </ui:define>
                                    <rich:inplaceInput value="#{tag.content}" inputWidth="90%"
                                                       rendered="#{identity.loggedIn and s:hasRole('admin_role')}"
                                                       defaultLabel="Click to edit" showControls="true"
                                                       size="16">
                                        <a4j:ajax event="change" render="assertionFrom"
                                                  listener="#{assertionManager.persistAssertionTag(currentAssertion, tag)}"/>
                                    </rich:inplaceInput>
                                    <h:outputText rendered="#{!s:hasRole('admin_role')}"
                                                  value="#{tag.content}"/>
                                </ui:decorate>

                            </a4j:repeat>
                            <ui:decorate template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['net.ihe.gazelle.assertion-manager.Status']}
                                </ui:define>
                                <s:span rendered="#{identity.loggedIn and s:hasRole('admin_role')}">
                                    <h:selectOneMenu styleClass="gzl-inline-form-control"
                                                     style="width: auto;"
                                                     value="#{currentAssertion.status}"
                                                     requiredMessage="Please select" required="true">
                                        <f:selectItem itemValue="#{null}"
                                                      itemLabel="#{messages['gazelle.common.button.ShowAll']}"/>
                                        <f:selectItems
                                                value="#{assertionManager.getAssertionStatus()}"/>
                                        <a4j:ajax event="change" render="assertionFrom"
                                                  listener="#{assertionManager.persistAssertion(currentAssertion)}"/>
                                    </h:selectOneMenu>
                                </s:span>
                                <h:outputText rendered="#{!s:hasRole('admin_role')}"
                                              value="#{currentAssertion.status.getFriendlyName()}"/>
                            </ui:decorate>
                            <ui:decorate template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['net.ihe.gazelle.assertion-manager.LastChanged']}
                                </ui:define>
                                <g:date tooltip="true"
                                        value="#{currentAssertion.lastChanged}"/>
                                <h:outputText
                                        value=" #{messages['net.ihe.gazelle.assertion-manager.By']} #{assertionManager.getUserName(currentAssertion.lastModifierId)}"/>
                            </ui:decorate>
                            <ui:decorate template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['gazelle.simulator.Comment']}
                                </ui:define>
                                <h:panelGroup rendered="#{identity.loggedIn and s:hasRole('admin_role')}">
                                    <rich:inplaceInput value="#{currentAssertion.comment}"
                                                       showControls="true" inputWidth="90%">
                                        <a4j:ajax event="change" render="assertionFrom"
                                                  listener="#{assertionManager.persistAssertion(currentAssertion)}"/>
                                    </rich:inplaceInput>
                                </h:panelGroup>
                                <h:outputText
                                        value="#{currentAssertion.comment}"
                                        rendered="#{!s:hasRole('admin_role')}"/>
                            </ui:decorate>
                        </dl>


                        <ui:define name="panel_footer">
                            <h:outputLink title="#{messages['users.Edit']}"
                                          value="#{request.contextPath}/assertions/edit.seam"
                                          styleClass="gzl-btn-blue"
                                          rendered="#{identity.loggedIn and s:hasRole('admin_role')}">
                                <f:param name="idScheme"
                                         value="#{currentAssertion.target.idScheme}"/>
                                <f:param name="assertionId"
                                         value="#{currentAssertion.assertionId}"/>
                                <f:param name="backTo" value="-2"/>
                                <h:outputText value="#{messages['users.Edit']}"/>
                            </h:outputLink>
                            <h:outputLink id="linkAssertion" target="_blank"
                                          styleClass="gzl-btn"
                                          title="#{messages['net.ihe.gazelle.assertion-manager.ViewXml']}"
                                          value="#{preferencesManager.getAssertionRestPath(request.contextPath)}">
                                <f:param name="idScheme"
                                         value="#{currentAssertion.target.idScheme}"/>
                                <f:param name="assertionId"
                                         value="#{currentAssertion.assertionId}"/>
                                <f:param name="format" value="xml"/>
                                <span class="gzl-icon-xml"/>
                                <h:outputText value="View xml"/>
                            </h:outputLink>
                            <h:commandLink value="#{messages['net.ihe.gazelle.assertion-manager.Back']}"
                                           styleClass="gzl-btn"
                                           onclick="window.history.go(-1); return false;"/>
                            <div style="float: right;">
                                <a4j:commandButton
                                        styleClass="gzl-btn-red"
                                        oncomplete="jq162('#DeleteAssertionConfirmationModalPanel').modal('show');"
                                        actionListener="#{assertionManager.setAssertionToDelete(currentAssertion)}"
                                        rendered="#{identity.loggedIn and s:hasRole('admin_role')}"
                                        value="#{messages['users.Delete']}"
                                        render="DeleteAssertionConfirmationModalPanel,deleteAssertionForm"/>
                            </div>
                        </ui:define>
                    </ui:decorate>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <ui:decorate template="/layout/panels/_panel_title.xhtml">
                        <ui:define name="panel_title">
                            <h:outputText
                                    value="#{messages['net.ihe.gazelle.assertion-manager.AppliesTo']}"/>
                        </ui:define>
                        <div class="row">
                            <div class="col-md-6">
                                <ui:decorate template="_linkPanel.xhtml">
                                    <ui:define name="panelHeader">
                                        #{messages['net.ihe.gazelle.assertion-manager.Actors']}
                                        <h:outputLink style="float: right;" rendered="#{identity.loggedIn and s:hasRole('admin_role')}"
                                                      title="#{messages['net.ihe.gazelle.assertion-manager.AddALinkToAnActor']}"
                                                      value="#{request.contextPath}/assertions/appliesTo/actor.seam">
                                            <f:param name="idScheme"
                                                     value="#{currentAssertion.target.idScheme}"/>
                                            <f:param name="assertionId"
                                                     value="#{currentAssertion.assertionId}"/>
                                            <i class="fa fa-link"/>
                                        </h:outputLink>
                                    </ui:define>
                                    <ui:define name="panelBody">
                                        <ul class="list-group">
                                            <a4j:repeat
                                                    value="#{currentAssertion.getActors()}"
                                                    var="currentActor">
                                                <li class="list-group-item">
                                                    <a4j:commandButton
                                                            styleClass="gzl-btn-red"
                                                            oncomplete="jq162('#DeleteActorConfirmationModalPanel').modal('show');"
                                                            actionListener="#{assertionManager.setLinkActorToDelete(currentAssertion.id,currentActor.getId())}"
                                                            immediate="true" rendered="#{identity.loggedIn and s:hasRole('admin_role')}"
                                                            value="#{messages['net.ihe.gazelle.assertion-manager.Unlink']}"
                                                            render="assertionFrom"/>
                                                    <h:outputLink
                                                            value="#{currentActor.getLinkedEntityPermalink()}"
                                                            target="gazelletm">
                                                        <h:outputText
                                                                value="#{currentActor.getLinkedEntityName()}  "/>
                                                    </h:outputLink>
                                                    <h:outputLink styleClass="label label-success"
                                                                  title="#{messages['net.ihe.gazelle.assertion-manager.ViewAssertionsLinkedToThisActor']}"
                                                                  value="#{request.contextPath}/assertions/index.seam">
                                                        <f:param name="actor"
                                                                 value="#{currentActor.getLinkedEntityKeyword()}"/>
                                                        <h:outputText
                                                                value="#{currentActor.getAssertionsLinked().size()}"/>
                                                    </h:outputLink>
                                                </li>
                                            </a4j:repeat>
                                        </ul>
                                    </ui:define>
                                </ui:decorate>
                            </div>
                            <div class="col-md-6">
                                <ui:decorate template="_linkPanel.xhtml">
                                    <ui:define name="panelHeader">
                                        #{messages['net.ihe.gazelle.assertion-manager.AIPOs']}
                                        <h:outputLink style="float: right;" rendered="#{identity.loggedIn and s:hasRole('admin_role')}"
                                                      title="#{messages['net.ihe.gazelle.assertion-manager.AddALinkToAnAIPO']}"
                                                      value="#{request.contextPath}/assertions/appliesTo/aipo.seam">
                                            <f:param name="idScheme"
                                                     value="#{currentAssertion.target.idScheme}"/>
                                            <f:param name="assertionId"
                                                     value="#{currentAssertion.assertionId}"/>
                                            <i class="fa fa-link"/>
                                        </h:outputLink>
                                    </ui:define>
                                    <ui:define name="panelBody">
                                        <ul class="list-group">
                                            <a4j:repeat
                                                    value="#{currentAssertion.getTfAIPOs()}"
                                                    var="currentAipo">
                                                <li class="list-group-item">
                                                    <a4j:commandButton
                                                            styleClass="gzl-btn-red"
                                                            oncomplete="jq162('#DeleteAipoConfirmationModalPanel').modal('show');"
                                                            actionListener="#{assertionManager.setLinkAipoToDelete(currentAssertion.id,currentAipo.getId())}"
                                                            immediate="true" rendered="#{identity.loggedIn and s:hasRole('admin_role')}"
                                                            value="#{messages['net.ihe.gazelle.assertion-manager.Unlink']}"
                                                            render="assertionFrom"/>
                                                    <h:outputLink
                                                            value="#{currentAipo.getLinkedEntityPermalink()}"
                                                            target="gazelletm">
                                                        <h:outputText
                                                                value="#{currentAipo.getLinkedEntityName()}  "/>
                                                    </h:outputLink>
                                                    <h:outputLink styleClass="label label-success"
                                                                  title="#{messages['net.ihe.gazelle.assertion-manager.ViewAssertionsLinkedToThisAIPO']}"
                                                                  value="#{request.contextPath}/assertions/index.seam">
                                                        <f:param name="aipo"
                                                                 value="#{currentAipo.getLinkedEntityName()}"/>
                                                        <h:outputText
                                                                value="#{currentAipo.getAssertionsLinked().size()}"/>
                                                    </h:outputLink>
                                                </li>
                                            </a4j:repeat>
                                        </ul>
                                    </ui:define>
                                </ui:decorate>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <ui:decorate template="_linkPanel.xhtml">
                                    <ui:define name="panelHeader">
                                        #{messages['net.ihe.gazelle.assertion-manager.AuditMessages']}
                                        <h:outputLink style="float: right;" rendered="#{identity.loggedIn and s:hasRole('admin_role')}"
                                                      title="#{messages['net.ihe.gazelle.assertion-manager.AddALinkToAnAuditMessage']}"
                                                      value="#{request.contextPath}/assertions/appliesTo/auditMessage.seam">
                                            <f:param name="idScheme"
                                                     value="#{currentAssertion.target.idScheme}"/>
                                            <f:param name="assertionId"
                                                     value="#{currentAssertion.assertionId}"/>
                                            <i class="fa fa-link"/>
                                        </h:outputLink>
                                    </ui:define>
                                    <ui:define name="panelBody">
                                        <ul class="list-group">
                                            <a4j:repeat
                                                    value="#{currentAssertion.getTfAuditMessages()}"
                                                    var="currentAuditMessage">
                                                <li class="list-group-item">
                                                    <a4j:commandButton
                                                            styleClass="gzl-btn-red"
                                                            oncomplete="jq162('#DeleteAuditMessageConfirmationModalPanel').modal('show');"
                                                            actionListener="#{assertionManager.setAuditMessageToDelete(currentAssertion.id,currentAuditMessage.getId())}"
                                                            immediate="true" rendered="#{identity.loggedIn and s:hasRole('admin_role')}"
                                                            value="#{messages['net.ihe.gazelle.assertion-manager.Unlink']}"
                                                            render="assertionFrom"/>
                                                    <h:outputLink
                                                            value="#{currentAuditMessage.getLinkedEntityPermalink()}"
                                                            target="gazelletm">
                                                        <h:outputText
                                                                value="#{currentAuditMessage.getLinkedEntityKeyword()}  "/>
                                                    </h:outputLink>
                                                    <h:outputLink styleClass="label label-success"
                                                                  title="#{messages['net.ihe.gazelle.assertion-manager.ViewAssertionsLinkedToThisAuditMessage']}"
                                                                  value="#{request.contextPath}/assertions/index.seam">
                                                        <f:param name="auditMessage"
                                                                 value="#{currentAuditMessage.getLinkedEntityKeyword()}"/>
                                                        <h:outputText
                                                                value="#{currentAuditMessage.getAssertionsLinked().size()}"/>
                                                    </h:outputLink>
                                                </li>
                                            </a4j:repeat>
                                        </ul>
                                    </ui:define>
                                </ui:decorate>
                            </div>
                            <div class="col-md-6">
                                <ui:decorate template="_linkPanel.xhtml">
                                    <ui:define name="panelHeader">
                                        #{messages['net.ihe.gazelle.assertion-manager.IntegrationProfiles']}
                                        <h:outputLink style="float: right;" rendered="#{identity.loggedIn and s:hasRole('admin_role')}"
                                                      title="#{messages['net.ihe.gazelle.assertion-manager.AddALinkToAnIntegrationProfile']}"
                                                      value="#{request.contextPath}/assertions/appliesTo/integrationProfile.seam">
                                            <f:param name="idScheme"
                                                     value="#{currentAssertion.target.idScheme}"/>
                                            <f:param name="assertionId"
                                                     value="#{currentAssertion.assertionId}"/>
                                            <i class="fa fa-link"/>
                                        </h:outputLink>
                                    </ui:define>
                                    <ui:define name="panelBody">
                                        <ul class="list-group">
                                            <a4j:repeat
                                                    value="#{currentAssertion.getTfIntegrationProfiles()}"
                                                    var="currentIntegrationProfile">
                                                <li class="list-group-item">
                                                    <a4j:commandButton
                                                            styleClass="gzl-btn-red"
                                                            oncomplete="jq162('#DeleteIntegrationProfileConfirmationModalPanel').modal('show');"
                                                            actionListener="#{assertionManager.setIntegrationProfileToDelete(currentAssertion.id,currentIntegrationProfile.getId())}"
                                                            immediate="true" rendered="#{identity.loggedIn and s:hasRole('admin_role')}"
                                                            value="#{messages['net.ihe.gazelle.assertion-manager.Unlink']}"
                                                            render="assertionFrom"/>
                                                    <h:outputLink
                                                            value="#{currentIntegrationProfile.getLinkedEntityPermalink()}"
                                                            target="gazelletm">
                                                        <h:outputText
                                                                value="#{currentIntegrationProfile.getLinkedEntityKeyword()}  "/>
                                                    </h:outputLink>
                                                    <h:outputLink styleClass="label label-success"
                                                                  title="#{messages['net.ihe.gazelle.assertion-manager.ViewAssertionsLinkedToThisIntegrationProfile']}"
                                                                  value="#{request.contextPath}/assertions/index.seam">
                                                        <f:param name="integrationProfile"
                                                                 value="#{currentIntegrationProfile.getLinkedEntityKeyword()}"/>
                                                        <h:outputText
                                                                value="#{currentIntegrationProfile.getAssertionsLinked().size()}"/>
                                                    </h:outputLink>
                                                </li>
                                            </a4j:repeat>
                                        </ul>
                                    </ui:define>
                                </ui:decorate>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <ui:decorate template="_linkPanel.xhtml">
                                    <ui:define name="panelHeader">
                                        #{messages['net.ihe.gazelle.assertion-manager.Transactions']}
                                        <h:outputLink style="float: right;" rendered="#{identity.loggedIn and s:hasRole('admin_role')}"
                                                      title="#{messages['net.ihe.gazelle.assertion-manager.AddALinkToATransaction']}"
                                                      value="#{request.contextPath}/assertions/appliesTo/transaction.seam">
                                            <f:param name="idScheme"
                                                     value="#{currentAssertion.target.idScheme}"/>
                                            <f:param name="assertionId"
                                                     value="#{currentAssertion.assertionId}"/>
                                            <i class="fa fa-link"/>
                                        </h:outputLink>
                                    </ui:define>
                                    <ui:define name="panelBody">
                                        <ul class="list-group">
                                            <a4j:repeat
                                                    value="#{currentAssertion.getTfTransactions()}"
                                                    var="currentTransaction">
                                                <li class="list-group-item">
                                                    <a4j:commandButton
                                                            styleClass="gzl-btn-red"
                                                            oncomplete="jq162('#DeleteTransactionConfirmationModalPanel').modal('show');"
                                                            actionListener="#{assertionManager.setTransactionToDelete(currentAssertion.id,currentTransaction.getId())}"
                                                            immediate="true" rendered="#{identity.loggedIn and s:hasRole('admin_role')}"
                                                            value="#{messages['net.ihe.gazelle.assertion-manager.Unlink']}"
                                                            render="assertionFrom"/>
                                                    <h:outputLink
                                                            value="#{currentTransaction.getLinkedEntityPermalink()}"
                                                            target="gazelletm">
                                                        <h:outputText
                                                                value="#{currentTransaction.getLinkedEntityKeyword()}: "/>
                                                        <h:outputText
                                                                value="#{currentTransaction.getLinkedEntityName()}  "/>
                                                    </h:outputLink>
                                                    <h:outputLink styleClass="label label-success"
                                                                  title="#{messages['net.ihe.gazelle.assertion-manager.ViewAssertionsLinkedToThisTransactions']}"
                                                                  value="#{request.contextPath}/assertions/index.seam">
                                                        <f:param name="transaction"
                                                                 value="#{currentTransaction.getLinkedEntityKeyword()}"/>
                                                        <h:outputText
                                                                value="#{currentTransaction.getAssertionsLinked().size()}"/>
                                                    </h:outputLink>
                                                </li>
                                            </a4j:repeat>
                                        </ul>
                                    </ui:define>
                                </ui:decorate>
                            </div>
                            <div class="col-md-6">
                                <ui:decorate template="_linkPanel.xhtml">
                                    <ui:define name="panelHeader">
                                        #{messages['net.ihe.gazelle.assertion-manager.Standards']}
                                        <h:outputLink style="float: right;" rendered="#{identity.loggedIn and s:hasRole('admin_role')}"
                                                      title="#{messages['net.ihe.gazelle.assertion-manager.AddALinkToAStandard']}"
                                                      value="#{request.contextPath}/assertions/appliesTo/standard.seam">
                                            <f:param name="idScheme"
                                                     value="#{currentAssertion.target.idScheme}"/>
                                            <f:param name="assertionId"
                                                     value="#{currentAssertion.assertionId}"/>
                                            <i class="fa fa-link"/>
                                        </h:outputLink>
                                    </ui:define>
                                    <ui:define name="panelBody">
                                        <ul class="list-group">
                                            <a4j:repeat
                                                    value="#{currentAssertion.getTfStandards()}"
                                                    var="currentStandard">
                                                <li class="list-group-item">
                                                    <a4j:commandButton
                                                            styleClass="gzl-btn-red"
                                                            oncomplete="jq162('#DeleteStandardConfirmationModalPanel').modal('show');"
                                                            actionListener="#{assertionManager.setStandardToDelete(currentAssertion.id,currentStandard.getId())}"
                                                            immediate="true" rendered="#{identity.loggedIn and s:hasRole('admin_role')}"
                                                            value="#{messages['net.ihe.gazelle.assertion-manager.Unlink']}"
                                                            render="assertionFrom"/>
                                                    <h:outputLink
                                                            value="#{currentStandard.getLinkedEntityPermalink()}"
                                                            target="gazelletm">
                                                        <h:outputText
                                                                value="#{currentStandard.getLinkedEntityKeyword()}  "/>
                                                    </h:outputLink>
                                                    <h:outputLink styleClass="label label-success"
                                                                  title="#{messages['net.ihe.gazelle.assertion-manager.ViewAssertionsLinkedToThisStandard']}"
                                                                  value="#{request.contextPath}/assertions/index.seam">
                                                        <f:param name="standard"
                                                                 value="#{currentStandard.getLinkedEntityKeyword()}"/>
                                                        <h:outputText
                                                                value="#{currentStandard.getAssertionsLinked().size()}"/>
                                                    </h:outputLink>
                                                </li>
                                            </a4j:repeat>
                                        </ul>
                                    </ui:define>
                                </ui:decorate>
                            </div>
                        </div>
                    </ui:decorate>
                </div>
            </div>

            <div class="row">
                <div class="col-md-12">
                    <ui:decorate template="/layout/panels/_panel_title.xhtml">
                        <ui:define name="panel_title">
                            <h:outputText
                                    value="#{messages['net.ihe.gazelle.tm.CoveredBy']}"/>
                        </ui:define>
                        <div class="row">
                            <div class="col-md-6">
                                <ui:decorate template="_linkPanel.xhtml">
                                    <ui:define name="panelHeader">
                                        #{messages['net.ihe.gazelle.assertion-manager.Tests']}
                                        <h:outputLink style="float: right;" rendered="#{identity.loggedIn and s:hasRole('admin_role')}"
                                                      title="#{messages['net.ihe.gazelle.assertion-manager.AddALinkToATest']}"
                                                      value="#{request.contextPath}/assertions/coveredBy/test.seam">
                                            <f:param name="idScheme"
                                                     value="#{currentAssertion.target.idScheme}"/>
                                            <f:param name="assertionId"
                                                     value="#{currentAssertion.assertionId}"/>
                                            <i class="fa fa-link"/>
                                        </h:outputLink>
                                    </ui:define>
                                    <ui:define name="panelBody">
                                        <ul class="list-group">
                                            <a4j:repeat
                                                    value="#{currentAssertion.getNotDeprecatedTests()}"
                                                    var="test">
                                                <li class="list-group-item">
                                                    <a4j:commandButton
                                                            styleClass="gzl-btn-red"
                                                            oncomplete="jq162('#DeleteTestConfirmationModalPanel').modal('show');"
                                                            actionListener="#{assertionManager.setLinkTestToDelete(currentAssertion.id,test.getId())}"
                                                            immediate="true" rendered="#{identity.loggedIn and s:hasRole('admin_role')}"
                                                            value="#{messages['net.ihe.gazelle.assertion-manager.Unlink']}"
                                                            render="assertionFrom"/>
                                                    <h:outputLink value="#{test.getLinkedEntityPermalink()}"
                                                                  target="gazelletm">
                                                        <h:outputText value="#{test.getLinkedEntityName()}"/>
                                                    </h:outputLink>
                                                </li>
                                            </a4j:repeat>
                                        </ul>
                                    </ui:define>
                                </ui:decorate>
                            </div>
                            <div class="col-md-6">
                                <ui:decorate template="_linkPanel.xhtml">
                                    <ui:define name="panelHeader">
                                        #{messages['net.ihe.gazelle.assertion-manager.TestSteps']}
                                        <h:outputLink style="float: right;" rendered="#{identity.loggedIn and s:hasRole('admin_role')}"
                                                      title="#{messages['net.ihe.gazelle.assertion-manager.AddALinkToATestStep']}"
                                                      value="#{request.contextPath}/assertions/coveredBy/testStep.seam">
                                            <f:param name="idScheme"
                                                     value="#{currentAssertion.target.idScheme}"/>
                                            <f:param name="assertionId"
                                                     value="#{currentAssertion.assertionId}"/>
                                            <i class="fa fa-link"/>
                                        </h:outputLink>
                                    </ui:define>
                                    <ui:define name="panelBody">
                                        <ul class="list-group">
                                            <a4j:repeat
                                                    value="#{currentAssertion.getNotDeprecatedTestSteps()}"
                                                    var="testStep">
                                                <li class="list-group-item">
                                                    <a4j:commandButton
                                                            styleClass="gzl-btn-red"
                                                            oncomplete="jq162('#DeleteTestStepConfirmationModalPanel').modal('show');"
                                                            actionListener="#{assertionManager.setLinkTestStepToDelete(currentAssertion.id,testStep.getId())}"
                                                            immediate="true" rendered="#{identity.loggedIn and s:hasRole('admin_role')}"
                                                            value="#{messages['net.ihe.gazelle.assertion-manager.Unlink']}"
                                                            render="assertionFrom"/>
                                                    <h:outputLink
                                                            value="#{testStep.getLinkedEntityPermalink()}"
                                                            target="gazelletm">
                                                        <h:outputText value="#{testStep.getLinkedEntityName()}"/>
                                                    </h:outputLink>
                                                </li>
                                            </a4j:repeat>
                                        </ul>
                                    </ui:define>
                                </ui:decorate>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <ui:decorate template="_linkPanel.xhtml">
                                    <ui:define name="panelHeader">
                                        #{messages['net.ihe.gazelle.assertion-manager.Rules']}
                                        <h:outputLink style="float: right;" rendered="#{identity.loggedIn and s:hasRole('admin_role')}"
                                                      title="#{messages['net.ihe.gazelle.assertion-manager.AddALinkToARule']}"
                                                      value="#{request.contextPath}/assertions/coveredBy/rule.seam">
                                            <f:param name="idScheme"
                                                     value="#{currentAssertion.target.idScheme}"/>
                                            <f:param name="assertionId"
                                                     value="#{currentAssertion.assertionId}"/>
                                            <i class="fa fa-link"/>
                                        </h:outputLink>
                                    </ui:define>
                                    <ui:define name="panelBody">
                                        <ul class="list-group">
                                            <a4j:repeat
                                                    value="#{currentAssertion.getNotDeprecatedRules()}"
                                                    var="tfRule">
                                                <li class="list-group-item">
                                                    <a4j:commandButton
                                                            styleClass="gzl-btn-red"
                                                            oncomplete="jq162('#DeleteRuleConfirmationModalPanel').modal('show');"
                                                            actionListener="#{assertionManager.setLinkRuleToDelete(currentAssertion.id,tfRule.getId())}"
                                                            immediate="true" rendered="#{identity.loggedIn and s:hasRole('admin_role')}"
                                                            value="#{messages['net.ihe.gazelle.assertion-manager.Unlink']}"
                                                            render="assertionFrom"/>
                                                    <h:outputLink
                                                            value="#{tfRule.getLinkedEntityPermalink()}"
                                                            target="gazelletm">
                                                        <h:outputText value="#{tfRule.getLinkedEntityName()}"/>
                                                    </h:outputLink>
                                                </li>
                                            </a4j:repeat>
                                        </ul>
                                    </ui:define>
                                </ui:decorate>
                            </div>
                            <div class="col-md-6">
                                <ui:decorate template="_linkPanel.xhtml">
                                    <ui:define name="panelHeader">
                                        #{messages['net.ihe.gazelle.tm.MBV']}
                                    </ui:define>
                                    <ui:define name="panelBody">
                                        <ul class="list-group">
                                            <a4j:repeat
                                                    value="#{assertionManager.getMbvCoverage(currentAssertion)}"
                                                    var="mbv">
                                                <li class="list-group-item">
                                                    <h:outputLink value="#{mbv.getPermanentLink()}"
                                                                  target="gazelletm">
                                                        <h:outputText value="#{mbv.getKeyword()}"/>
                                                    </h:outputLink>
                                                </li>
                                            </a4j:repeat>
                                        </ul>
                                    </ui:define>
                                </ui:decorate>
                            </div>
                        </div>
                    </ui:decorate>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <ui:decorate template="/layout/panels/_panel_title.xhtml">
                        <ui:param name="styleClass" value="panel-danger"></ui:param>
                        <ui:define name="panel_title">
                            <h:outputText
                                    value="#{messages['net.ihe.gazelle.tm.CoveredBy']} (Deprecated)"/>
                        </ui:define>
                        <div class="row">
                            <div class="col-md-6">
                                <ui:decorate template="_linkDeprecatedPanel.xhtml">
                                    <ui:define name="panelHeader">
                                        #{messages['net.ihe.gazelle.assertion-manager.Tests']}
                                        <h:outputLink style="float: right;" rendered="#{identity.loggedIn and s:hasRole('admin_role')}"
                                                      title="#{messages['net.ihe.gazelle.assertion-manager.AddALinkToATest']}"
                                                      value="#{request.contextPath}/assertions/coveredBy/test.seam">
                                            <f:param name="idScheme"
                                                     value="#{currentAssertion.target.idScheme}"/>
                                            <f:param name="assertionId"
                                                     value="#{currentAssertion.assertionId}"/>
                                            <i class="fa fa-link"/>
                                        </h:outputLink>
                                    </ui:define>
                                    <ui:define name="panelBody">
                                        <ul class="list-group">
                                            <a4j:repeat
                                                    value="#{currentAssertion.getDeprecatedTests()}"
                                                    var="test">
                                                <li class="list-group-item">
                                                    <a4j:commandButton
                                                            styleClass="gzl-btn-red"
                                                            oncomplete="jq162('#DeleteTestConfirmationModalPanel').modal('show');"
                                                            actionListener="#{assertionManager.setLinkTestToDelete(currentAssertion.id,test.getId())}"
                                                            immediate="true" rendered="#{identity.loggedIn and s:hasRole('admin_role')}"
                                                            value="#{messages['net.ihe.gazelle.assertion-manager.Unlink']}"
                                                            render="assertionFrom"/>
                                                    <h:outputLink value="#{test.getLinkedEntityPermalink()}"
                                                                  target="gazelletm">
                                                        <h:outputText value="#{test.getLinkedEntityName()}"/>
                                                    </h:outputLink>
                                                </li>
                                            </a4j:repeat>
                                        </ul>
                                    </ui:define>
                                </ui:decorate>
                            </div>
                            <div class="col-md-6">
                                <ui:decorate template="_linkDeprecatedPanel.xhtml">
                                    <ui:define name="panelHeader">
                                        #{messages['net.ihe.gazelle.assertion-manager.TestSteps']}
                                        <h:outputLink style="float: right;" rendered="#{identity.loggedIn and s:hasRole('admin_role')}"
                                                      title="#{messages['net.ihe.gazelle.assertion-manager.AddALinkToATestStep']}"
                                                      value="#{request.contextPath}/assertions/coveredBy/testStep.seam">
                                            <f:param name="idScheme"
                                                     value="#{currentAssertion.target.idScheme}"/>
                                            <f:param name="assertionId"
                                                     value="#{currentAssertion.assertionId}"/>
                                            <i class="fa fa-link"/>
                                        </h:outputLink>
                                    </ui:define>
                                    <ui:define name="panelBody">
                                        <ul class="list-group">
                                            <a4j:repeat var="testStep"
                                                        value="#{currentAssertion.getDeprecatedTestSteps()}">
                                                <li class="list-group-item">
                                                    <a4j:commandButton
                                                            styleClass="gzl-btn-red"
                                                            oncomplete="jq162('#DeleteTestStepConfirmationModalPanel').modal('show');"
                                                            actionListener="#{assertionManager.setLinkTestStepToDelete(currentAssertion.id,testStep.getId())}"
                                                            immediate="true" rendered="#{identity.loggedIn and s:hasRole('admin_role')}"
                                                            value="#{messages['net.ihe.gazelle.assertion-manager.Unlink']}"
                                                            render="assertionFrom"/>
                                                    <h:outputLink
                                                            value="#{testStep.getLinkedEntityPermalink()}"
                                                            target="gazelletm">
                                                        <h:outputText value="#{testStep.getLinkedEntityName()}"/>
                                                    </h:outputLink>
                                                </li>
                                            </a4j:repeat>
                                        </ul>
                                    </ui:define>
                                </ui:decorate>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <ui:decorate template="_linkDeprecatedPanel.xhtml">
                                    <ui:define name="panelHeader">
                                        #{messages['net.ihe.gazelle.assertion-manager.Rules']}
                                        <h:outputLink style="float: right;" rendered="#{identity.loggedIn and s:hasRole('admin_role')}"
                                                      title="#{messages['net.ihe.gazelle.assertion-manager.AddALinkToARule']}"
                                                      value="#{request.contextPath}/assertions/coveredBy/rule.seam">
                                            <f:param name="idScheme"
                                                     value="#{currentAssertion.target.idScheme}"/>
                                            <f:param name="assertionId"
                                                     value="#{currentAssertion.assertionId}"/>
                                            <i class="fa fa-link"/>
                                        </h:outputLink>
                                    </ui:define>
                                    <ui:define name="panelBody">
                                        <ul class="list-group">
                                            <a4j:repeat
                                                    value="#{currentAssertion.getDeprecatedRules()}"
                                                    var="tfRule">
                                                <li class="list-group-item">
                                                    <a4j:commandButton
                                                            styleClass="gzl-btn-red"
                                                            oncomplete="jq162('#DeleteRuleConfirmationModalPanel').modal('show');"
                                                            actionListener="#{assertionManager.setLinkRuleToDelete(currentAssertion.id,tfRule.getId())}"
                                                            immediate="true" rendered="#{identity.loggedIn and s:hasRole('admin_role')}"
                                                            value="#{messages['net.ihe.gazelle.assertion-manager.Unlink']}"
                                                            render="assertionFrom"/>
                                                    <h:outputLink
                                                            value="#{tfRule.getLinkedEntityPermalink()}"
                                                            target="gazelletm">
                                                        <h:outputText value="#{tfRule.getLinkedEntityName()}"/>
                                                    </h:outputLink>
                                                </li>
                                            </a4j:repeat>
                                        </ul>
                                    </ui:define>
                                </ui:decorate>
                            </div>
                        </div>
                    </ui:decorate>
                </div>
            </div>
        </div>
        <div class="col-md-6">
            <rich:dataTable rows="20" id="refSource" var="refSource"
                            value="#{currentAssertion.normativeSource.refSourceItems}"
                            render="ds">

                <g:column>
                    <ui:define name="header">
                        Document #{messages['net.ihe.gazelle.assertion-manager.Name']}
                    </ui:define>
                    <h:outputText value="#{refSource.name}"/>
                </g:column>
                <g:column>
                    <ui:define name="header">
                        #{messages['net.ihe.gazelle.assertion-manager.Provenance']}
                    </ui:define>
                    <h:outputText value="#{refSource.resourceProvenanceId}"/>
                </g:column>
                <g:column>
                    <ui:define name="header">
                        #{messages['net.ihe.gazelle.assertion-manager.Revision']}
                    </ui:define>
                    <h:outputText value="#{refSource.revisionId}"/>
                </g:column>
                <g:column>
                    <ui:define name="header">#{messages['users.Action']}</ui:define>
                    <s:div rendered="#{!currentAssertion.pointsToPdf()}">
                        <a href="#{currentAssertion.getUri()}" target="_blank" title="Open">
                            <span class="gzl-icon-search"/></a>
                    </s:div>
                    <s:div rendered="#{currentAssertion.pointsToPdf()}">
                        <h:outputLink
                                title="#{messages['net.ihe.gazelle.assertion-manager.ViewPdfDocument']}"
                                value="#{request.contextPath}/rest/testAssertion/assertion/documentSection/open"
                                target="spec">
                            <f:param name="idScheme"
                                     value="#{currentAssertion.target.idScheme}"/>
                            <f:param name="assertionId"
                                     value="#{currentAssertion.assertionId}"/>
                            <span class="gzl-icon-pdf"/>
                        </h:outputLink>
                    </s:div>
                </g:column>
                <f:facet name="footer">
                    <ui:include src="/util/datatableFooter.xhtml">
                        <ui:param name="dataScrollerId" value="ds"/>
                        <ui:param name="dataTableId" value="refSource"/>
                        <ui:param name="hideRowsSelect" value="true"/>
                        <ui:param name="maxPages" value="5"/>
                    </ui:include>
                </f:facet>
            </rich:dataTable>
            <s:div id="documentPdf"
                   rendered="#{not empty currentAssertion.normativeSource and currentAssertion.pointsToPdf()}">
                <iframe height="1100" scrolling="no" width="100%" id="pdfjs"
                        src="#{request.contextPath}/pdfjs/web/viewer.html?file=#{request.contextPath}/documents/getPDFdocument.seam%3Furl%3D#{currentAssertion.getUri()}#page=#{currentAssertion.getTestAssertionPageNumber()}"></iframe>
                <br/>
                <br/>
                <ui:include src="/fileCache/_clearFileCache.xhtml"/>
            </s:div>
        </div>
    </div>
</ui:composition>